# Returns a list of records with the specified course_id

Returns a list of records with the specified course_id

Endpoint: GET /courseRegistrations/{tenantId}/course/{course_id}
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The tenant

  - `course_id` (string, required)
    The course_id to use to for record lookup

## Query parameters:

  - `fields` (string)
    The fields that you want to retrieve; if omitted, the entire object is returned

  - `exclusiveStartKey` (string)
    If paging, this allows you to return the next set of results

## Response 200:

  - `200` (unknown)
    The records were retrieved successfully

## Response 200 fields (application/json):

  - `Count` (integer)

  - `Items` (array)

  - `Items.application_id` (string)
    The certification application to which this registration

  - `Items.arrival_date` (string)
    The date the person arrived at the course

  - `Items.cancellation_date` (string)

  - `Items.city` (string)
    The member city

  - `Items.completion_percentage` (number)
    The completion amount

  - `Items.country` (string)
    The member country

  - `Items.course_date` (string)
    The date of the course

  - `Items.course_id` (string, required)
    The course

  - `Items.course_offering_id` (string, required)
    The scheduled course

  - `Items.custom_field_values` (array)

  - `Items.custom_field_values.boolean_value` (boolean)
    The boolean value

  - `Items.custom_field_values.custom_field_id` (string)
    The unique identifier of the custom field

  - `Items.custom_field_values.file_url_value` (string)
    The pointer to a file value

  - `Items.custom_field_values.list_value` (array)
    The list value

  - `Items.custom_field_values.numeric_value` (number)
    The numeric value

  - `Items.custom_field_values.string_value` (string)
    The string value of the custom field

  - `Items.custom_field_values.table_value` (array)
    A list of objects (a table)

  - `Items.date` (string)
    The date/time of the course registration

  - `Items.departure_date` (string)
    The date the person left  the course

  - `Items.email_address` (string)
    The member's email address

  - `Items.event_registration_id` (string)
    The event registration to which this is tied

  - `Items.exam_offering_ids` (array)
    The exams to register for at the same time as the course

  - `Items.first_name` (string)
    The member's first name

  - `Items.id` (string, required)
    The unique, string identifier of this course registration

  - `Items.job_title` (string)
    The member job title

  - `Items.last_name` (string)
    The member's last name

  - `Items.meeting_join_url` (string)
    The URL used to join the meeting

  - `Items.meeting_participant_id` (string)
    The external ID of this registration in the linked meeting

  - `Items.name` (string, required)
    The member's name

  - `Items.notes` (string)
    Any notes

  - `Items.number` (number)
    The registration number

  - `Items.order_amount_paid` (number)
    The amount paid

  - `Items.order_balance_due` (number)
    The balance due on the order

  - `Items.order_currency_code` (string)

  - `Items.order_currency_symbol` (string)

  - `Items.order_id` (string)
    The order

  - `Items.order_line_item_id` (string)
    The order line item

  - `Items.order_number` (number)
    The order number

  - `Items.order_status` (string)
    Enum: "awaiting payment", "awaiting pickup", "awaiting shipping", "cancelled", "completed", "disputed", "open", "partially shipped", "returned", "shipped", "void"

  - `Items.order_total` (number)
    The total of the order

  - `Items.organization_id` (string)
    Organization

  - `Items.process_id` (string)
    The registration process used to create the registration

  - `Items.state` (string)
    The state

  - `Items.status` (string)
    Enum: "attended", "cancelled", "completed", "draft", "in progress", "no show", "registered"

  - `Items.student_id` (string, required)
    The person registering for the course

  - `Items.substitutions` (array)

  - `Items.substitutions.course_offering_id` (string, required)
    The scheduled course

  - `Items.substitutions.date` (string, required)
    The date of substitution

  - `Items.substitutions.notes` (string)
    Any reasoning/information for substitution

  - `Items.substitutions.student_id` (string, required)
    The person registering for the course

  - `Items.sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `Items.sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `Items.sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `Items.sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `Items.sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `Items.sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `Items.sys_calculated_field_errors` (array)

  - `Items.sys_calculated_field_errors.error` (string)

  - `Items.sys_calculated_field_errors.field` (string)

  - `Items.sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `Items.sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `Items.sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `Items.sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `Items.sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `Items.sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `Items.sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `Items.sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `Items.sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `Items.sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `Items.sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `Items.sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `Items.sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `Items.sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `Items.sys_version` (number)
    A number representing the version of this record in the database

  - `Items.training_location_id` (string)
    The location

  - `Items.training_provider_billing_date` (string)
    The date this registration was billing to the training provider

  - `Items.training_provider_billing_invoice_id` (string)
    The invoice that was created to bill for this registration

  - `Items.training_provider_billing_invoice_line_item_id` (string)
    The invoice that was created to bill for this registration

  - `Items.training_provider_billing_name` (string)
    The training provider name (for billing)

  - `Items.training_provider_billing_status` (string)
    The training provider billing status for this registration
    Enum: "billed", "billing hold", "exempt from billing", "not yet billed"

  - `Items.training_provider_id` (string)
    The training provider

  - `Items.webinar_join_url` (string)
    The URL used to join the webinar

  - `Items.webinar_participant_id` (string)
    The external ID of this registration in the linked webinar

  - `LastEvaluatedKey` (string)

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The request was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    Unable to locate records

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to retrieve records based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

